---
- name: Setup Nodered for Weather Observed (OWM) use case
  include_tasks: tasks/templates/nodered-deployment.yml
  args:
    apply:
      tags:
        - weather-observed
        - owm
  vars:
    nr_app_name: "nr-weather-owm"
    nr_storage_class: "{{ inv_k8s.storage_class.rwo }}"
    nr_flows_dir: "{{ tenant.demo_flows.weather_owm.name }}"
    nr_import_flow: "true"
    gitlab_repo_git_url: "{{ tenant.demo_flows.weather_owm.git_url }}"
    gitlab_access_user: "{{ inv_demo_use_cases.gitlab.access_user }}"
    gitlab_access_mail: "{{ inv_demo_use_cases.gitlab.access_mail }}"
    gitlab_access_token: "{{ inv_demo_use_cases.gitlab.api_access_token }}"
    nr_envs:
      - name: SC_OWM_API_KEY
        value: "{{ tenant.demo_flows.weather_owm.api_key }}"
      - name: SC_OWM_STATION
        value: "{{ tenant.demo_flows.weather_owm.station_id }}"
      - name: FLOWS
        value: "/data/projects/{{ tenant.demo_flows.weather_owm.name }}/{{ tenant.demo_flows.weather_owm.flow_name }}"
      - name: SC_ORION_SERVER
        value: "http://orion.{{ cm_namespace }}.svc.cluster.local:1026"
      - name: SC_NOTIFY_SERVER
        value: "Deprecated_and_Disabled"
      - name: DM_QL_SERVER
        value: "http://quantumleap.{{ cm_namespace }}.svc.cluster.local:8668"
      - name: FIWARE_SERVICE
        value: "{{ tenant.demo_flows.weather_owm.dataspace }}"
    nr_limits:
      cpu: 500m
      memory: 512M
    nr_app_host: "nr-weather-owm"
    nr_ingress_class: "{{ inv_k8s.ingress_class }}"
    nr_cluster_issuer: "{{ inv_k8s.cert_manager.prod_issuer_name }}"
    nr_admin_root: ""

- name: Ensure remote datasource directory exists
  file:
    path: /tmp/udp/grafana/dashboard_files/
    recurse: yes
    state: directory
    mode: '0755'

- name: Create grafana dashboard from template (Weather OWM)
  template:
    src: dashboards/weather_owm.json.j2
    dest: /tmp/udp/grafana/dashboard_files/weather_owm.json
    mode: '0666'

- name: (Re-)Import Grafana Dashboard (Weather OWM)
  community.grafana.grafana_dashboard:
        grafana_url: "https://grafana.{{ DOMAIN }}"
        url_username: "{{ tenant.grafana.admin }}"
        url_password: "{{ tenant.grafana.password }}"
        state: present
        commit_message: Updated by ansible
        overwrite: yes
        path: /tmp/udp/grafana/dashboard_files/weather_owm.json
